Subject: Re: cygwin!
From: Joshua Franklin <[email-masked]>
To: [email-masked]
Cc: Randall R Schulz <[email-masked]>
Date: Tue, 19 Feb 2002 20:57:14 -0800 (PST)

DISCLAIMER: I am not a professional java developer

>There is exactly no advantage to using CMD.exe to 
>initiate a Java SDK tool, or the Java interpreter of
>JRE.
I was under the impression that interacting with
java's BufferedReader, etc. from within a cygwin bash
shell was a Bad Idea because of different tty 
handling or something. I casually read the thread a 
while back, and I thought I'd run into the problem
before I switched to java on linux.

>I have no idea what a Java ".exe" file might be
Me either. :) That was my fault, it was a quick 
suggestion to someone who emailed me off-list with a
cygwin java question. (Obviously not a bright idea.)
I should have said something like:

cmd /c "java javaprog.java"

but I don't even know if that would work since I've
only got a JDK on a linux machine right now.

> >--- "pramod m." <[email-masked]> wrote:
> > if i write a simple java program that uses a
> > BufferedReader reader object wrapped from
System.in
> > and then try to read a line from user and then
echo
> > it back, cygwin for some reason already has stuff
on
> > the stream and so without waiting for the user to
> > type something in the program fetches that and
> > prints it out (it is usually) just a newline.  why
> > does this happen!
> >
> > i know it's not the program because it works in
> > djgpp and other platforms.

__________________________________________________
Do You Yahoo!?
Yahoo! Sports - Coverage of the 2002 Olympic Games
http://sports.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/